### Method

# Gsk.Renderer.realize

#### Declaration [src]

    gboolean
    gsk_renderer_realize (
      GskRenderer* renderer,
      GdkSurface* surface,
      GError** error
    )

#### Description [src]

Creates the resources needed by the `renderer` to render the scene graph.

#### Parameters

`surface` | `GdkSurface*`
| the `GdkSurface` renderer will be used on
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
No description available.